diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/column/tests/test_column_msql.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/column/tests/test_column_msql.py
index 0cbcaf11..2ddffaeb 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/column/tests/test_column_msql.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/column/tests/test_column_msql.py
@@ -10,13 +10,15 @@
 import json
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tables.tests \
     import utils as tables_utils
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
 from pgadmin.browser.server_groups.servers.databases.tests import utils as \
     database_utils
-from pgadmin.utils.route import BaseTestGenerator
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as columns_utils
@@ -27,153 +29,180 @@ except ImportError as e:
     from urllib import urlencode
 
 
-class ColumnMsqlTestCase(BaseTestGenerator):
-    """This class will test msql route of column with various combinations."""
-    scenarios = [
-        ('msql column change timestamp array length',
-         dict(
-             url='/browser/column/msql/',
-             data_type='timestamp(3) with time zone[]',
-             new_len=6,
-             expected_res='ALTER TABLE {schema}.{table}\n    ALTER COLUMN '
-                          '{column} TYPE timestamp({len}) with time zone [];'
-         )),
-        ('msql column change timestamp length',
-         dict(
-             url='/browser/column/msql/',
-             data_type='timestamp(4) with time zone',
-             new_len=7,
-             expected_res='ALTER TABLE {schema}.{table}\n    ALTER COLUMN '
-                          '{column} TYPE timestamp({len}) with time zone ;'
-         )),
-        ('msql column change numeric array precision',
-         dict(
-             url='/browser/column/msql/',
-             data_type='numeric(5,2)[]',
-             old_len=5,
-             new_precision=4,
-             expected_res='ALTER TABLE {schema}.{table}\n    ALTER COLUMN '
-                          '{column} TYPE numeric ({len}, {precision})[];'
-         )),
-        ('msql column change numeric precision',
-         dict(
-             url='/browser/column/msql/',
-             data_type='numeric(6,3)',
-             old_len=6,
-             new_precision=5,
-             expected_res='ALTER TABLE {schema}.{table}\n    ALTER COLUMN '
-                          '{column} TYPE numeric ({len}, {precision});'
-         )),
-        ('msql column change numeric array length',
-         dict(
-             url='/browser/column/msql/',
-             data_type='numeric(6,3)[]',
-             new_len=8,
-             old_precision=3,
-             expected_res='ALTER TABLE {schema}.{table}\n    ALTER COLUMN '
-                          '{column} TYPE numeric ({len}, {precision})[];'
-         )),
-        ('msql column change numeric length',
-         dict(
-             url='/browser/column/msql/',
-             data_type='numeric(6,4)',
-             new_len=8,
-             old_precision=4,
-             expected_res='ALTER TABLE {schema}.{table}\n    ALTER COLUMN '
-                          '{column} TYPE numeric ({len}, {precision});'
-         )),
-        ('msql column change numeric array len and precision',
-         dict(
-             url='/browser/column/msql/',
-             data_type='numeric(10,5)[]',
-             new_len=15,
-             new_precision=8,
-             expected_res='ALTER TABLE {schema}.{table}\n    ALTER COLUMN '
-                          '{column} TYPE numeric ({len}, {precision})[];'
-         )),
-        ('msql column change numeric len and precision',
-         dict(
-             url='/browser/column/msql/',
-             data_type='numeric(12,6)',
-             new_len=14,
-             new_precision=9,
-             expected_res='ALTER TABLE {schema}.{table}\n    ALTER COLUMN '
-                          '{column} TYPE numeric ({len}, {precision});'
-         ))
-    ]
-
-    def setUp(self):
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        schema_info = parent_node_dict["schema"][-1]
-        self.server_id = schema_info["server_id"]
-        self.db_id = schema_info["db_id"]
-        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
-                                                 self.server_id, self.db_id)
-        if not db_con['data']["connected"]:
-            raise Exception("Could not connect to database to add a table.")
-        self.schema_id = schema_info["schema_id"]
-        self.schema_name = schema_info["schema_name"]
+class TestColumGetMsql:
+    """
+    When the column get request is send to the backend
+    for a msql column
+    it returns 200 status,
+    """
+    @pytest.mark.parametrize(
+        'data_type, expected_res,'
+        'old_len, new_len, old_precision, new_precision', [
+            (
+                'timestamp(3) with time zone[]',
+                'ALTER TABLE {schema}.{table}\n    ALTER COLUMN '
+                '{column} TYPE timestamp({len}) with time zone [];',
+                None,
+                6,
+                None,
+                None,
+            ),
+            (
+                'timestamp(4) with time zone',
+                'ALTER TABLE {schema}.{table}\n    ALTER COLUMN '
+                '{column} TYPE timestamp({len}) with time zone ;',
+                None,
+                7,
+                None,
+                None,
+            ),
+            (
+                'numeric(5,2)[]',
+                'ALTER TABLE {schema}.{table}\n    ALTER COLUMN '
+                '{column} TYPE numeric ({len}, {precision})[];',
+                5,
+                None,
+                None,
+                4,
+            ),
+            (
+                'numeric(6,3)',
+                'ALTER TABLE {schema}.{table}\n    ALTER COLUMN '
+                '{column} TYPE numeric ({len}, {precision});',
+                6,
+                None,
+                None,
+                5,
+            ),
+            (
+                'numeric(6,3)[]',
+                'ALTER TABLE {schema}.{table}\n    ALTER COLUMN '
+                '{column} TYPE numeric ({len}, {precision})[];',
+                None,
+                8,
+                3,
+                None,
+            ),
+            (
+                'numeric(6,4)',
+                'ALTER TABLE {schema}.{table}\n    ALTER COLUMN '
+                '{column} TYPE numeric ({len}, {precision});',
+                None,
+                8,
+                4,
+                None,
+            ),
+            (
+                'numeric(10,5)[]',
+                'ALTER TABLE {schema}.{table}\n    ALTER COLUMN '
+                '{column} TYPE numeric ({len}, {precision})[];',
+                None,
+                15,
+                None,
+                8,
+            ),
+            (
+                'numeric(12,6)',
+                'ALTER TABLE {schema}.{table}\n    ALTER COLUMN '
+                '{column} TYPE numeric ({len}, {precision});',
+                None,
+                14,
+                None,
+                9,
+            )
+        ]
+    )
+    def test_column_put(
+        self,
+        request,
+        context_of_tests,
+        data_type,
+        expected_res,
+        old_len,
+        new_len,
+        old_precision,
+        new_precision
+    ):
+        request.addfinalizer(self.tearDown)
+
+        url = '/browser/column/msql/'
+
+        self.tester = context_of_tests['test_client']
+        self.server = context_of_tests['server']
+        self.server_data = parent_node_dict['database'][-1]
+        self.server_id = self.server_data['server_id']
+        self.db_id = self.server_data['db_id']
+        self.db_name = self.server_data['db_name']
+
+        self.schema_info = parent_node_dict['schema'][-1]
+        self.schema_name = self.schema_info['schema_name']
+        self.schema_id = self.schema_info['schema_id']
+
+        db_con = database_utils.connect_database(self,
+                                                 utils.SERVER_GROUP,
+                                                 self.server_id,
+                                                 self.db_id)
+        if not db_con["info"] == "Database connected.":
+            raise Exception("Could not connect to database.")
+
         schema_response = schema_utils.verify_schemas(self.server,
                                                       self.db_name,
                                                       self.schema_name)
         if not schema_response:
-            raise Exception("Could not find the schema to add a table.")
+            raise Exception("Could not find the schema.")
+
         self.table_name = "table_column_%s" % (str(uuid.uuid4())[1:8])
         self.table_id = tables_utils.create_table(self.server, self.db_name,
                                                   self.schema_name,
                                                   self.table_name)
-        self.column_name = "test_column_msql_%s" % (str(uuid.uuid4())[1:8])
-        self.column_id = columns_utils.create_column(self.server,
-                                                     self.db_name,
-                                                     self.schema_name,
-                                                     self.table_name,
-                                                     self.column_name,
-                                                     self.data_type)
-
-    def runTest(self):
+
+        column_name = "test_column_get_msql_%s" % (str(uuid.uuid4())[1:8])
+        column_id = columns_utils.create_column(self.server,
+                                                self.db_name,
+                                                self.schema_name,
+                                                self.table_name,
+                                                column_name,
+                                                data_type)
         col_response = columns_utils.verify_column(self.server, self.db_name,
-                                                   self.column_name)
+                                                   column_name)
         if not col_response:
             raise Exception("Could not find the column to update.")
 
-        data = {"attnum": self.column_id}
+        data = {"attnum": column_id}
 
         expected_len = None
         expected_precision = None
 
-        if hasattr(self, 'new_len'):
-            data["attlen"] = self.new_len
-            expected_len = self.new_len
-        if hasattr(self, 'new_precision'):
-            data["attprecision"] = self.new_precision
-            expected_precision = self.new_precision
+        if new_len is not None:
+            data["attlen"] = new_len
+            expected_len = new_len
+        elif old_len is not None:
+            expected_len = old_len
+
+        if new_precision is not None:
+            data["attprecision"] = new_precision
+            expected_precision = new_precision
+        elif old_precision is not None:
+            expected_precision = old_precision
 
         response = self.tester.get(
-            self.url + str(utils.SERVER_GROUP) + '/' +
+            url + str(utils.SERVER_GROUP) + '/' +
             str(self.server_id) + '/' +
             str(self.db_id) + '/' +
             str(self.schema_id) + '/' +
             str(self.table_id) + '/' +
-            str(self.column_id) + '?' +
+            str(column_id) + '?' +
             urlencode(data),
             follow_redirects=True)
-        self.assertEquals(response.status_code, 200)
 
+        response.status_code | should.be.equal.to(200)
         response_data = json.loads(response.data.decode('utf-8'))
-
-        if not expected_len and hasattr(self, 'old_len'):
-            expected_len = self.old_len
-
-        if not expected_precision and hasattr(self, 'old_precision'):
-            expected_precision = self.old_precision
-
-        self.assertEquals(
-            response_data['data'],
-            self.expected_res.format(
+        response_data['data'] | should.be.equal.to(
+            expected_res.format(
                 **dict(
                     [('schema', self.schema_name),
                      ('table', self.table_name),
-                     ('column', self.column_name),
+                     ('column', column_name),
                      ('len', expected_len),
                      ('precision', expected_precision)
                      ]
@@ -182,5 +211,5 @@ class ColumnMsqlTestCase(BaseTestGenerator):
         )
 
     def tearDown(self):
-        # Disconnect the database
-        database_utils.disconnect_database(self, self.server_id, self.db_id)
+        database_utils.client_disconnect_database(self.tester, self.server_id,
+                                                  self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/column/tests/test_column_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/column/tests/test_column_put.py
index 922ebb2f..9caa23ac 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/column/tests/test_column_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/column/tests/test_column_put.py
@@ -10,73 +10,98 @@
 import json
 import uuid
 
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tables.tests \
     import utils as tables_utils
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
 from pgadmin.browser.server_groups.servers.databases.tests import utils as \
     database_utils
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.base_test_generator import BaseTestGenerator
+from pgadmin.utils.tests_helper import convert_response_to_json, \
+    assert_json_values_from_response
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as columns_utils
 
 
-class ColumnPutTestCase(BaseTestGenerator):
-    """This class will update the column under table node."""
-    scenarios = [
-        ('Put column Node URL', dict(url='/browser/column/obj/'))
-    ]
+class TestColumnPut:
+    def test_column_put(self, request, context_of_tests):
+        """
+        When the column put request is send to the backend
+        it returns 200 status
+        """
+        request.addfinalizer(self.tearDown)
+
+        url = '/browser/column/obj/'
+
+        self.tester = context_of_tests['test_client']
+        self.server = context_of_tests['server']
+        self.server_data = parent_node_dict['database'][-1]
+        self.server_id = self.server_data['server_id']
+        self.db_id = self.server_data['db_id']
+        self.db_name = self.server_data['db_name']
+
+        self.schema_info = parent_node_dict['schema'][-1]
+        self.schema_name = self.schema_info['schema_name']
+        self.schema_id = self.schema_info['schema_id']
+
+        db_con = database_utils.connect_database(self,
+                                                 utils.SERVER_GROUP,
+                                                 self.server_id,
+                                                 self.db_id)
+        if not db_con["info"] == "Database connected.":
+            raise Exception("Could not connect to database.")
 
-    def setUp(self):
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        schema_info = parent_node_dict["schema"][-1]
-        self.server_id = schema_info["server_id"]
-        self.db_id = schema_info["db_id"]
-        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
-                                                 self.server_id, self.db_id)
-        if not db_con['data']["connected"]:
-            raise Exception("Could not connect to database to add a table.")
-        self.schema_id = schema_info["schema_id"]
-        self.schema_name = schema_info["schema_name"]
         schema_response = schema_utils.verify_schemas(self.server,
                                                       self.db_name,
                                                       self.schema_name)
         if not schema_response:
-            raise Exception("Could not find the schema to add a table.")
+            raise Exception("Could not find the schema.")
+
         self.table_name = "table_column_%s" % (str(uuid.uuid4())[1:8])
         self.table_id = tables_utils.create_table(self.server, self.db_name,
                                                   self.schema_name,
                                                   self.table_name)
-        self.column_name = "test_column_put_%s" % (str(uuid.uuid4())[1:8])
-        self.column_id = columns_utils.create_column(self.server,
-                                                     self.db_name,
-                                                     self.schema_name,
-                                                     self.table_name,
-                                                     self.column_name)
 
-    def runTest(self):
-        """This function will update the column under table node."""
+        column_name = "test_column_delete_%s" % (str(uuid.uuid4())[1:8])
+        column_id = columns_utils.create_column(self.server,
+                                                self.db_name,
+                                                self.schema_name,
+                                                self.table_name,
+                                                column_name)
         col_response = columns_utils.verify_column(self.server, self.db_name,
-                                                   self.column_name)
+                                                   column_name)
         if not col_response:
             raise Exception("Could not find the column to update.")
+
         data = {
-            "attnum": self.column_id,
-            "name": self.column_name,
+            "attnum": column_id,
+            "name": column_name,
             "description": "This is test comment for column"
         }
         response = self.tester.put(
-            self.url + str(utils.SERVER_GROUP) + '/' +
+            url + str(utils.SERVER_GROUP) + '/' +
             str(self.server_id) + '/' +
             str(self.db_id) + '/' +
             str(self.schema_id) + '/' +
             str(self.table_id) + '/' +
-            str(self.column_id),
+            str(column_id),
             data=json.dumps(data),
             follow_redirects=True)
-        self.assertEquals(response.status_code, 200)
+
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        assert_json_values_from_response(
+            json_response,
+            'column',
+            'pgadmin.node.column',
+            False,
+            'icon-column',
+            column_name
+        )
 
     def tearDown(self):
-        # Disconnect the database
-        database_utils.disconnect_database(self, self.server_id, self.db_id)
+        database_utils.client_disconnect_database(self.tester, self.server_id,
+                                                  self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/__init__.py
index dffb9c70..590026ad 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/__init__.py
@@ -6,9 +6,3 @@
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
-# from pgadmin.utils.route import BaseTestGenerator
-#
-#
-# class CheckConstraintTestGenerator(BaseTestGenerator):
-#     def runTest(self):
-#         return []
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/test_check_constraint_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/test_check_constraint_add.py
index b202a18c..9f187d8d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/test_check_constraint_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/test_check_constraint_add.py
@@ -10,67 +10,73 @@
 import json
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tables.tests \
     import utils as tables_utils
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
-from pgadmin.browser.server_groups.servers.databases.tests import utils as \
-    database_utils
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
+from pgadmin.utils.tests_helper import assert_json_values_from_response, \
+    convert_response_to_json
 from regression.python_test_utils import test_utils as utils
 
 
-class CheckConstraintAddTestCase(BaseTestGenerator):
-    """This class will add check constraint to existing table"""
-    skip_on_database = ['gpdb']
-    scenarios = [
-        ('Add check constraint to table',
-         dict(url='/browser/check_constraint/obj/'))
-    ]
+@pytest.mark.skip_databases(['gpdb'])
+class TestCheckConstraintAdd:
+    @pytest.mark.usefixtures('require_database_connection')
+    def test_constraint_add(self, context_of_tests):
+        """
+        When the constraint add request is send to the backend
+        it returns 200 status
+        """
+        http_client = context_of_tests['test_client']
+        server = context_of_tests['server']
+        server_data = context_of_tests['server_information']
 
-    def setUp(self):
-        super(CheckConstraintAddTestCase, self).setUp()
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        schema_info = parent_node_dict["schema"][-1]
-        self.server_id = schema_info["server_id"]
-        self.db_id = schema_info["db_id"]
-        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
-                                                 self.server_id, self.db_id)
-        if not db_con['data']["connected"]:
-            raise Exception("Could not connect to database to add a check "
-                            "constraint.")
-        self.schema_id = schema_info["schema_id"]
-        self.schema_name = schema_info["schema_name"]
-        schema_response = schema_utils.verify_schemas(self.server,
-                                                      self.db_name,
-                                                      self.schema_name)
+        db_name = server_data['db_name']
+        schema_name = server_data['schema_name']
+        schema_response = schema_utils.verify_schemas(server,
+                                                      db_name,
+                                                      schema_name)
         if not schema_response:
-            raise Exception("Could not find the schema to add a check "
-                            "constraint.")
-        self.table_name = "table_checkconstraint_add_%s" % \
-                          (str(uuid.uuid4())[1:8])
-        self.table_id = tables_utils.create_table(self.server,
-                                                  self.db_name,
-                                                  self.schema_name,
-                                                  self.table_name)
+            raise Exception('Could not find the schema to add a check '
+                            'constraint.')
+        table_name = 'table_checkconstraint_add_%s' % \
+                     (str(uuid.uuid4())[1:8])
+        table_id = tables_utils.create_table(server,
+                                             db_name,
+                                             schema_name,
+                                             table_name)
 
-    def runTest(self):
-        """This function will add check constraint to table."""
-        check_constraint_name = "test_checkconstraint_add_%s" % \
+        check_constraint_name = 'test_checkconstraint_add_%s' % \
                                 (str(uuid.uuid4())[1:8])
-        data = {"name": check_constraint_name,
-                "consrc": " (id > 0)",
-                "convalidated": True,
-                "comment": "this is test comment"}
-        response = self.tester.post(
-            self.url + str(utils.SERVER_GROUP) + '/' +
-            str(self.server_id) + '/' + str(self.db_id) +
-            '/' + str(self.schema_id) + '/' + str(self.table_id) + '/',
+        data = {'name': check_constraint_name,
+                'consrc': ' (id > 0)',
+                'convalidated': True,
+                'comment': 'this is test comment'}
+        response = http_client.post(
+            self.__build_url(server_data, table_id),
             data=json.dumps(data),
             content_type='html/json')
-        self.assertEquals(response.status_code, 200)
 
-    def tearDown(self):
-        # Disconnect the database
-        database_utils.disconnect_database(self, self.server_id, self.db_id)
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        assert_json_values_from_response(
+            json_response,
+            'check_constraint',
+            'pgadmin.node.check_constraint',
+            False,
+            'icon-check_constraint_bad',
+            check_constraint_name
+        )
+
+    def __build_url(self, server_information, table_id):
+        url = '/browser/check_constraint/obj/'
+        server_id = server_information['server_id']
+        db_id = server_information['db_id']
+        schema_id = server_information['schema_id']
+
+        return url + str(utils.SERVER_GROUP) + '/' + \
+            str(server_id) + '/' + str(db_id) + \
+            '/' + str(schema_id) + '/' + str(table_id) + '/'
